/*包含n个用于直接更新状态的方法的对象模块*/
import {SAVE_USER,RESET_USER} from './mutation-types'

import storageUtils from "../../utils/storageUtils"

export default {
  // 保存用户信息
  [SAVE_USER] (state, {user}) {  // 方法名不是SAVE_USER, 而是save_user
    state.user = user
    storageUtils.saveUser(user)
  },

  // 重置用户信息
  [RESET_USER] (state) {
    state.user = {}
    storageUtils.removeUser()
  }
}
